# Welcome!
> Thanks ahead for taking the time to contribute to this project

## What We Use

- Tooling: [Gulp](http://gulpjs.com/)
- Linting: [ESLint](http://eslint.org/)
- ES6 Transpiling: [Babel](http://babeljs.io/)
- Building: [Webpack](https://webpack.github.io/)

## Getting Started

You'll need Gulp installed globally to run our tooling suite.

```bash
npm install gulp -g
```

## Pull Requests

Please don't commit any files in `/dist` in your Pull Request.
Feel completely free to build them on your machine, but please
exclude them in PRs.

Please lint your changes before submitting a Pull Request. The
default Gulp task is the linting task, and can be executed like so:

```bash
gulp
```

Please don't change variable or parameter names to match your
personal prefrences, unless the change is part of a refactor
or significant modification of the codebase (which is very rare).

Please remember to thoroughly explain your Pull Request if it
doesn't have an associated issue. If you're changing code
significantly, please remember to add inline or block comments
in the code as appropriate.

## Thanks

For your interest, understanding, and for following this simple guide.
